/*
 * @Author: wj 1454560336@qq.com
 * @Date: 2023-11-16 17:14:43
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-03-21 10:46:41
 * @FilePath: \admin-manage\src\api\shop.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */

import request from '@/utils/request'

// 获取商户列表
// export function getList(params) {
//   return request({
//     url: '/zswl-cloud-shop/shopInfo/list',
//     method: 'get',
//     params
//   })
// }

// 获取商户列表
export function getList(params) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/search',
      method: 'get',
      params
    })
  }

  // 获取商户信息
export function detail(params) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/detail',
      method: 'get',
      params
    })
  }

  // 修改店铺信息
  export function update(data) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/update',
      method: 'post',
      data
    })
  }
  
  // 修改店铺状态
  export function updateState(params) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/updateState',
      method: 'get',
      params
    })
  }
 
  // 修改店铺营业状态
  export function updateStatus(params) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/updateStatus',
      method: 'get',
      params
    })
  }
   
  // 添加店铺
  export function add(data) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/add',
      method: 'post',
      data
    })
  }

   
  // 获取店铺收款码
  export function getQrcode(data) {
    return request({
      url: '/zswl-cloud-bdb/promotion/qrcode',
      method: 'post',
      data
    })
  }
  

  
  // 审核列表
  export function checkList(params) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/checkList',
      method: 'get',
      params
    })
  }

    
  
  // 审核店铺
  export function check(data) {
    return request({
      url: '/zswl-cloud-shop/shopInfo/check',
      method: 'post',
      data
    })
  }
    
  
  // 获取主体列表
  export function getMainName(params) {
    return request({
      url: '/zswl-cloud-shop/accountMain/getMainName',
      method: 'get',
      params
    })
  }
  